package seal_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type SealDiypermissionconfigQueryRequest struct {
	CustomParamSelectRequest *common.CustomParamSelectRequest `json:"customParamSelectRequest,omitempty"`
	Department               *common.DepartmentRequest        `json:"department,omitempty"`
}

func (obj SealDiypermissionconfigQueryRequest) GetUrl() string {
	return "/seal/diypermissionconfig/query"
}

func (obj SealDiypermissionconfigQueryRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
